<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.picketlink-identity-management.partition-manager.identity-configuration.ldap-store.mapping">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="base-dn-suffix,class-name,code,module,object-classes,parent-membership-attribute-name,relates-to"/>
        <elem name="addr-params" value="profile,subsystem,partition-manager,identity-configuration,ldap-store,mapping"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.picketlink-identity-management"/>
    </annotation>
    <refs>
        <ref feature="subsystem.picketlink-identity-management.partition-manager.identity-configuration.ldap-store"/>
        <ref feature="subsystem.picketlink-identity-management.partition-manager.identity-configuration"/>
        <ref feature="subsystem.picketlink-identity-management.partition-manager"/>
        <ref feature="subsystem.picketlink-identity-management"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="mapping" feature-id="true"/>
        <param name="parent-membership-attribute-name" nillable="true"/>
        <param name="ldap-store" feature-id="true"/>
        <param name="code" nillable="true"/>
        <param name="object-classes" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="base-dn-suffix" nillable="true"/>
        <param name="subsystem" feature-id="true" default="picketlink-identity-management"/>
        <param name="identity-configuration" feature-id="true"/>
        <param name="relates-to" nillable="true"/>
        <param name="class-name" nillable="true"/>
        <param name="partition-manager" feature-id="true"/>
    </params>
</feature-spec>